angular
  .module('app')
  .controller('ListController', function ($scope, $http) {
    $scope.linkList = [];
    $http.get('https://surmon.me/_tunnel/netease_music').then(function (resp) {
      $scope.linkList = resp.data.data;
    });
    $('.link-list').on('click', '.list-item-check', function () {
      $(this).checkbox({
        onChecked: function () {
          console.log('Check Item!', $(this).val());
        },
        onUnchecked: function () {
          console.log('Cancel Check Item!');
        }
      });
    });
    $('.link-list').on('click', '.list-check-all', function () {
      $(this).checkbox({
        onChecked: function () {
          console.log('Check All!');
        },
        onUnchecked: function () {
          console.log('Cancel Check All!');
        }
      });
    });
  });
